Package Base Details: linux-lqx

Git Clone URL: https://aur.archlinux.org/linux-lqx.git (read-only, click to copy)
Keywords: bbr2 bfq futex muqss proton zen
Submitter: akurei
Maintainer: sir_lucjan (damentz)
Last Packager: damentz
Votes: 143
Popularity: 2.01
First Submitted: 2011-08-08 16:08
Last Updated: 2022-01-16 15:40

Pinned Comments

damentz commented on 2020-08-31 15:22

Official binaries of linux-lqx, linux-lqx-headers, and linux-lqx-docs are now available: https://wiki.archlinux.org/index.php/Unofficial_user_repositories#liquorix

Signing key import instructions: sudo pacman-key --keyserver hkps://keyserver.ubuntu.com --recv-keys 9AE4078033F8024D && sudo pacman-key --lsign-key 9AE4078033F8024D

shivik commented on 2012-01-28 21:11

3.2.2-1:oldstyle PKGBUILD:http://netload.in/datei7dzx5qGIBj/linux-lqx-3.2.2-1.src.tar.gz.htm
nvidia drivers: http://netload.in/dateiHvov2rm5GN/nvidia-lqx-290.10-2.src.tar.gz.htm

Anonymous comment on 2012-01-28 14:14

Thanks, shivik.

shivik commented on 2012-01-25 12:22

I've decided to migrate linux-lqx PKGBUILD to accommodate extramodules.
this is the final PKGBUILD before I replace it in AUR: http://netload.in/dateiDNQ5UosL17/linux-lqx-3.2.1-5_with_extramodules.tar.gz.htm
nvidia modules for it: http://netload.in/dateixrEyHY2Aqg/nvidia-lqx-290.10-2.with_extramodules.tar.gz.htm
It works for me but, can you please test it on your PC's.

It also addresses the 3.2.0-lqx issue.So it now shows the correct version in uname -r.
I can share details if someone's interested.

So...
This one features:
1.the latest patch from damentz(BFS,BFQ,ZEN,etc.root exploit closed too)
2.updated to work with modprobed_db
3.custom configuration via menuconfig, nconfig, xconfig
4.ability to use current kernel config for the new one using /proc/config.gz
5.fixed naming in uname -r

doug commented on 2012-01-25 12:15

I noticed that version number bug with 3.1.0, maybe it started with 3.0, but I'm sure that it was OK on 2.6.x.x versions

shivik commented on 2012-01-25 10:07

@computerquip, it sure is no problem.As for the reason I'm digging into it right now, but it is always been that way for lqx.
Run a pacman -Q linux-lqx and you'll see that the correct version is installed.

@akurei,thanks :)
I'm trying almost my best.
By the way I can give the ownership to someone else if one is so inclined.
I don't consider myself skillful enough.
I was actually updating and disowning the package right away,
but one day I just forgot to disown it and when I came back from work saw I'm still listed as the maintainer and said to myself "what the hell".

computerquip commented on 2012-01-25 06:34

Quick question, "uname -r" says the kernel is of version 3.2.0-lqx. Is that normal?

akurei commented on 2012-01-25 01:52

Been somewhat regretful of orphaning this package, but now I am glad you took over this shivik. My condolesences. This is madness ;) :
http://imgby.com/snapshot2.png

You do a great job there!

akurei commented on 2012-01-25 01:51

Been somewhat regretful of orphaning this package, but now I am glad you took over this shivik. My condolesences. This is madness:
http://imgby.com/snapshot2.png

akurei commented on 2012-01-25 01:51

Been somewhat regretful of orphaning this package, but now I am glad you took over this shivik. My condolesences. This is madness:
http://imgby.com/snapshot2.png

shivik commented on 2012-01-24 17:58

experimental lqx 3.2.1-5 with extramodules - http://netload.in/dateiIQWBUCIw1v/linux-lqx-3.2.1-5_with_extramodules.tar.gz.htm
nvidia module for it - http://netload.in/dateixrEyHY2Aqg/nvidia-lqx-290.10-2.with_extramodules.tar.gz.htm